org.eclipse.rdf4j.rio.nquads

## Class NQuadsWriter

- java.lang.Object
- - org.eclipse.rdf4j.rio.helpers.AbstractRDFWriter
  - - org.eclipse.rdf4j.rio.ntriples.NTriplesWriter
    - - org.eclipse.rdf4j.rio.nquads.NQuadsWriter

- All Implemented Interfaces:
    CharSink, Sink, RDFHandler, RDFWriter

      public class NQuadsWriter
      extends NTriplesWriter

  RDFWriter implementation for the `N-Quads` RDF format.
  Author:
    Joshua Shinavier

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.rio.ntriples.NTriplesWriter

      `writer`

    - ### Fields inherited from class org.eclipse.rdf4j.rio.helpers.AbstractRDFWriter

      `namespaceTable, statementConsumer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NQuadsWriter(OutputStream outputStream)`
    `NQuadsWriter(Writer writer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `consumeStatement(Statement st)` Consume a statement.
    `RDFFormat` | `getRDFFormat()` Gets the RDF format that this RDFWriter uses.

    - ### Methods inherited from class org.eclipse.rdf4j.rio.ntriples.NTriplesWriter

      `endRDF, getSupportedSettings, getWriter, handleComment, handleNamespace, startRDF, writeValue`

    - ### Methods inherited from class org.eclipse.rdf4j.rio.helpers.AbstractRDFWriter

      `checkWritingStarted, getFileFormat, getWriterConfig, handleStatement, isWritingStarted, set, setWriterConfig`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.rio.RDFWriter

      `getWriterConfig, set, setWriterConfig`

    - ### Methods inherited from interface org.eclipse.rdf4j.rio.RDFHandler

      `handleStatement`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.io.Sink

      `acceptsFileFormat, getFileFormat`

- - ### Constructor Detail

    - #### NQuadsWriter

          public NQuadsWriter(OutputStream outputStream)

    - #### NQuadsWriter

          public NQuadsWriter(Writer writer)

  - ### Method Detail

    - #### getRDFFormat

          public RDFFormat getRDFFormat()

      Description copied from interface: `RDFWriter`
      Gets the RDF format that this RDFWriter uses.
      Specified by:
        `getRDFFormat` in interface `RDFWriter`
      Overrides:
        `getRDFFormat` in class `NTriplesWriter`

    - #### consumeStatement

          public void consumeStatement(Statement st)
                                throws RDFHandlerException

      Description copied from class: `AbstractRDFWriter`
      Consume a statement. Extending classes must override this method instead of overriding `AbstractRDFWriter.handleStatement(Statement)` in order to benefit from automatic handling of RDF-star conversion or encoding.
      Overrides:
        `consumeStatement` in class `NTriplesWriter`
      Parameters:
        `st` - the statement to consume.
      Throws:
        `RDFHandlerException`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.